aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-xds-rsync-download-xds.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/include-xds-rsync-download-xds.sh')
-rw-r--r--jjb/common/include-xds-rsync-download-xds.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/jjb/common/include-xds-rsync-download-xds.sh b/jjb/common/include-xds-rsync-download-xds.sh
new file mode 100644
index 00000000..08c00707
--- /dev/null
+++ b/jjb/common/include-xds-rsync-download-xds.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+echo -e "\n\n\n"
+echo "#########################################"
+echo -e "\n\n\n"
+# project branch buildid-changesetnr(latest)
+export RSYNCDST="/srv/download/AGL/xds/"
+export RSYNCSRC=$(pwd)/UPLOAD/*
+LANG=C tree $RSYNCSRC
+
+#set
+#exit 0
+ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${RSYNCDST}
+rsync -avr -l --inplace --copy-unsafe-links -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC jenkins-slave@10.30.72.8:$RSYNCDST